diff --git a/web/pgadmin/static/js/selection/grid_selector.js b/web/pgadmin/static/js/selection/grid_selector.js
index 3e4337a9..df504145 100644
--- a/web/pgadmin/static/js/selection/grid_selector.js
+++ b/web/pgadmin/static/js/selection/grid_selector.js
@@ -1,10 +1,11 @@
 define(['jquery',
+    'sources/gettext',
     'sources/selection/column_selector',
     'sources/selection/row_selector',
     'sources/selection/range_selection_helper',
     'sources/url_for'
   ],
-  function ($, ColumnSelector, RowSelector, RangeSelectionHelper, url_for) {
+  function ($, gettext, ColumnSelector, RowSelector, RangeSelectionHelper, url_for) {
     var Slick = window.Slick;
 
     var GridSelector = function (columnDefinitions) {
@@ -31,7 +32,7 @@ define(['jquery',
 
         columnDefinitions[0].selectAllOnClick = true;
         columnDefinitions[0].name = '<span data-id="select-all" ' +
-          'title="Select/Deselect All">' +
+          'title="' + gettext('Select/Deselect All') + '">' +
           '<br>' +
           columnDefinitions[0].name +
           '<img class="select-all-icon" src="' + url_for('static', {'filename': 'img/select-all-icon.png'}) + '"></img>'
